class DHT20:
	DHT20_IIC_ADDR = 0x38
	def __init__(self):
		self.i2c = i2c

	def get_value(self, index):
		self.i2c.writeto(self.DHT20_IIC_ADDR, bytearray([0xac,0x33,0x00]))
		retries = 10
		while retries:
			sleep_ms(10)
			data = self.i2c.readfrom(self.DHT20_IIC_ADDR, 6)
			if data[0] >> 7 == 0:
				break
			retries = retries - 1
		if index == 'TEMP':
			temperature = (((data[3]&0xf)<<16)+(data[4]<<8)+(data[5])) /5242 -50
			return round(temperature, 2)
		else:
			humidity = ((data[1]<<12)+(data[2]<<4)+((data[3]&0xf0)>>4)) / 0x100000
			return round(humidity * 100, 2)

	def get_temp(self):
		return self.get_value('TEMP')
        
	def get_humi(self):
		return self.get_value('HUMI')